### Name: earth
### Title: Multivariate Adaptive Regression Splines
### Aliases: earth earth.default earth.formula earth.fit
### Keywords: smooth models regression

### ** Examples

a <- earth(Volume ~ ., data = trees)
summary(a, digits = 2, style = "pmax")

# yields:
# Call: earth(formula=Volume~., data=trees)
# 
# Volume =
#   27
#   +  6.2 * pmax(0,  Girth -     14) 
#   -  3.3 * pmax(0,     14 -  Girth) 
#   + 0.49 * pmax(0, Height -     72) 
# 
# Selected 4 of 6 terms, and 2 of 2 predictors 
# Importance: Girth, Height
# Number of terms at each degree of interaction: 1 3 (additive model)
# GCV 11    RSS 197    GRSq 0.96    RSq 0.98



